# Uses of Interface
org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2

Packages that use InjectAnnotationProcessor2
Package
Description
org.apache.sling.models.spi.injectorspecific

## Uses of InjectAnnotationProcessor2 in org.apache.sling.models.spi.injectorspecific

Classes in org.apache.sling.models.spi.injectorspecific that implement InjectAnnotationProcessor2
Modifier and Type
Class
Description
`class`
`AbstractInjectAnnotationProcessor2`
Default implementation of `InjectAnnotationProcessor2`.
Methods in org.apache.sling.models.spi.injectorspecific that return InjectAnnotationProcessor2
Modifier and Type
Method
Description
`InjectAnnotationProcessor2`
InjectAnnotationProcessorFactory2.`createAnnotationProcessor(Object adaptable, AnnotatedElement element)`
`InjectAnnotationProcessor2`
StaticInjectAnnotationProcessorFactory.`createAnnotationProcessor(AnnotatedElement element)`